Subject: Re: [AVT] RFC4788 - EVRCB RTP packet

From: udaya_rk <[email-masked]>
Date: Mon, 23 Jun 2008 14:43:53 -0700 (PDT)

Hi Hari,
  I am trying to test EVRC application. Our application stores EVRC file in
memory and streams the frames to player.
I am looking for a tool which can generate EVRC files and play the same. Can
you please provide me some pointer.
With Regards,
Ravi 

Mike Lim-2 wrote:
> 
> Hi Hari,
> 
> I tried your rtp packet generation executable, and noticed a few things.
> 	- Header-free format generation works.
> 	- Bundled format generation works.
> 	- Interleaved/Bundled format generation seems like not work. I couldn't
> match with expected format (RFC3558 page 10).
> I assumed payload type (0x62) is header-free, (0x63) is
> interleaved/bundled. Is it right assumption? I couldn't find payload type
> definition in network for these payload type 0x62 & 0x63. Where is it
> defined?
> 
> Also is it possible to enhance your rtp packet generation tool to support
> following options?
> 	- DTX enable/disable
> 	- ROHC compressed format generation
> 
> It will be easier to debug if I get the source. Can you pleas upload the
> source?
> 
> Thank you,
> -Mike
> 
> 
> 
> 
> 
> -----Original Message-----
> From: Desineni, Harikishan [mailto:[email-masked]]
> Sent: Thursday, February 14, 2008 10:52 AM
> To: Mike Lim
> Subject: RE: [AVT] RFC4788 - EVRCB RTP packet
> 
> 
> 
> Attached is a tool which can convert evrc-b bit stream into RTP packets
> 
> Thanks,
> Hari
> 
>> -----Original Message-----
>> From: Mike Lim [mailto:[email-masked]]
>> Sent: Thursday, February 07, 2008 2:03 PM
>> To: Desineni, Harikishan
>> Subject: RE: [AVT] RFC4788 - EVRCB RTP packet
>> 
>> Hi Hari,
>> 
>> I am working on DO RevA VOIP application. I am going to use evrc-b RTP
>> packet to verify DO RevA evrc-b VOIP implementation.
>> I have raw evrc-b packet data, and I need eiter tools thacan geneate
> RTP
>> stream, or actual RTP stream.
>> 
>> Do you have any available RTP bit stream? or is there any tools that
> can
>> generate RTP bitstream?
>> 
>> 
>> Thank you!
>> -Mike
>> 
>> 
>> -----Original Message-----
>> From: Desineni, Harikishan [mailto:[email-masked]]
>> Sent: Thursday, February 07, 2008 12:40 PM
>> To: Mike Lim
>> Subject: RE: [AVT] RFC4788 - EVRCB RTP packet
>> 
>> 
>> What kind of application are you using to play with evrc-b bitstream
>> data?
>> 
>> Thanks,
>> Hari
>> 
>> > -----Original Message-----
>> > From: Mike Lim [mailto:[email-masked]]
>> > Sent: Wednesday, February 06, 2008 1:32 PM
>> > To: Desineni, Harikishan
>> > Cc: [email-masked]
>> > Subject: RE: [AVT] RFC4788 - EVRCB RTP packet
>> >
>> > Hi Harikishan,
>> >
>> > Yes. I am looking for RTP packet data, which include EVRC-B data.
>> > Could you provide data? or is there any available public domain?
>> >
>> > Thank you!
>> > -Mike
>> >
>> >
>> > -----Original Message-----
>> > From: Desineni, Harikishan [mailto:[email-masked]]
>> > Sent: Wednesday, February 06, 2008 1:29 PM
>> > To: Mike Lim
>> > Cc: [email-masked]
>> > Subject: RE: [AVT] RFC4788 - EVRCB RTP packet
>> >
>> >
>> > Are you looking for a file (.3g2 or .evb) with EVRC-B data?
>> >
>> > > -----Original Message-----
>> > > From: [email-masked] [mailto:[email-masked]] On Behalf
>> Of
>> > Mike
>> > > Lim
>> > > Sent: Tuesday, February 05, 2008 10:10 AM
>> > > To: [email-masked]
>> > > Subject: [AVT] RFC4788 - EVRCB RTP packet
>> > >
>> > > Hello,
>> > >
>> > > I am looking for EVRC-B RTP packet ( with RFC4788 specified format
>> ).
>> > Can
>> > > anyone point out if any EVRC-B RTP packet data is available in
>> public
>> > > domain?
>> > >
>> > > Thank you!
>> > > -Mike
>> > > _______________________________________________
>> > > Audio/Video Transport Working Group
>> > > [email-masked]
>> > > http://www.ietf.org/mailman/listinfo/avt
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
> 
> 

-- 
View this message in context: http://www.nabble.com/Re%3A-RFC4788---EVRCB-RTP-packet-tp16616992p18079188.html
Sent from the IETF - avt mailing list archive at Nabble.com.

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt